
QGIS Application - Bug report #11030

"fill styles" of the "simple fill" symbology (ex: "diagonal X") are not exported as expected from print 

composer

2014-08-08 03:40 PM - Antonio Locandro

Status: Closed

Priority: Low

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 19369

Description

See attached images the same setting one exported from Canvas, another from Print Composer, print composer didn't honor hatch

History

#1 - 2014-08-08 11:08 PM - Nyall Dawson

- Status changed from Open to Feedback

- Category set to Symbology

Are you referring to the green cross hatch? If so, it's still in the export, just at a different scale. How is your pattern defined? Does it use mm or map units as

distance?

#2 - 2014-08-09 01:49 AM - Roy Roge

If you mean the area over "parque central" (and the wider on the left) i can see the lines

maybe they are too thin...

#3 - 2014-08-09 02:25 PM - Antonio Locandro

Yes you can see the blur, but I would expect WYSIWYG thing. I am using mm which I think is the default and Diagonal X style

I just reviewed and if I zoom to the image that seems flat color the hatch is there but the mesh is so small. I think the real problem is that what you see on

screen is not what is exported from composer, from map canvas it does export as seen on screen

#4 - 2014-08-09 03:42 PM - Nyall Dawson

- Subject changed from Cross lines doesn't export to image in print composer  to line pattern fill size is not respected in composer outputs

#5 - 2014-08-10 02:55 AM - Nyall Dawson

Is this a regression from 2.2? Are you able to test the project with 2.2 and see if you get the same behavior?

#6 - 2014-08-10 09:51 AM - Antonio Locandro

I first notice with 2.2, then tried with 2.4 and master. This happens with all of them. This is the first time I try to symbolize like this so I didn't notice this
before.

#7 - 2014-10-04 09:11 AM - Giovanni Manghi

- Category changed from Symbology to Map Composer/Printing

- Affected QGIS version changed from 2.4.0 to master

- Priority changed from Normal to Low

- Status changed from Feedback to Open

- Subject changed from line pattern fill size is not respected in composer outputs to "fill styles" of the "simple fill" symbology (ex: "diagonal X") are not 

exported as expected from print composer

With the "line pattern fill" the result of the export from the composer (to pdf or image) is ok, in the sense that it respects the symbology defined in the qgis

project. I just tested on qgis 2.4/master on both linux and windows.

What fails to be exported/printed as expected are the "fill styles" of the "simple fill" symbology, for example "diagonal X" (as shown in the attached images).

And in this specific case qgis seems affected since... always, so I'm not even sure it is a qgis issue.

#8 - 2015-01-21 10:13 AM - Daniel Adams

I'm having the same issue and just wanted to comment on here.  I'm running 2.6.1 on Windows 7.  I'm trying to print a large format (36" x 48") map with

some high res orthophotos and a few simple layers over them.  Everything looks good in the print composer, but when I export to PDF there is one specific

layer (which is just a green fill of some features) that doesn't show up on the export.  Everything else shows up.  I checked the settings on the map and

everything looks good.  Not sure why this one layer doesn't show up on an exported PDF.

#9 - 2015-01-22 09:19 AM - Daniel Adams

I tried reducing the resolution of the map I was trying to export and now all the layers show up.  I'm wondering if there is some size limit on the map you can

produce.

#10 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#11 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

sample.png 155 KB 2014-08-08 Antonio Locandro

error_composer.png 1.4 MB 2014-08-08 Antonio Locandro
